#include <bits/stdc++.h>
using namespace std;
int proizvod_cifara(long long n) {
    int proizvod = 1;
    while (n >= 1) {
        proizvod *= n / 10;
        n /= 10;
    }
    return proizvod;
}

int main() {
    int t; cin >> t;
    vector<int> res;

    for (long long i = 0; i < t; i++) {
        long long br; cin >> br;
        vector<long long> proizvodi;

        for (long long j = 1; j <= br; j++) {
            bool nadjen = false;
            long long k = 0;
            int duzina = 0;

            while (k < br) {
                if (proizvodi[k] == proizvod_cifara(j)) { nadjen = true; break; }
                else k++;
            }

            if (nadjen == false) { proizvodi.push_back(proizvod_cifara(j)); duzina++; }
        }

        res.push_back(duzina);
    }
    
    for (long long i = 0; i < t; i++) cout << res[i] << endl;
}